Results 1 to 13 of 13

Thread: oscam - how to replace

  1. #1

    Title
    Junior Member
    Join Date
    Oct 2013
    Posts
    16
    Thanks
    9
    Thanked 1 Time in 1 Post

    oscam - how to replace

    Hello

    I was trying to replace oscam but it wont autostart.

    Oscam from feed starting without problem but for my card I need custom oscam to work.

    Found this post saying that

    "OpenViX image doesn`t use a start script.
    Just send oscam for arm based images to /usr/softcams > change permissions to 755 on the oscam > reboot.
    Start oscam via blue button > softcam manager"

    I did put my custom oscam to /usr/softcams changed the name to oscam-latest , changed permisions to 755 and did reboot.
    After reboot oscam wont start , but when I use telnet, go to /usr/softcams and type oscam-latest -V then it starts and working till next reboot.

    Another thing I noticed is when I put custom oscam to usr/softcams and press blue button / softcam manager then where active softcams should be showing is this information : Wait please while scanning for softcam's... but it never find anything.

    When I press green button to start oscam, debug log shows this:

    < 139.0143> [InfoBarGenerics] KEY: 108 DOWN
    < 141.0450> [eInputDeviceInit] 1 18f (399) 1
    < 141.0458> [InfoBarGenerics] KEY: 399 GREEN
    < 141.3620> [eInputDeviceInit] 0 18f (399) 1
    < 141.3624> [InfoBarGenerics] KEY: 399 GREEN
    < 141.3626> [ActionMap] Keymap 'ColorActions' -> Action = 'green'.
    < 141.3667> [Skin] Processing screen 'VIXStartCam', position=(0, 0), size=(1920 x 1080) for module 'VIXStartCam'.
    < 141.3936> [Skin] Processing screen 'SimpleSummary' from list 'VIXStartCam_summary, SimpleSummary', position=(0, 0), size=(132 x 64) for module 'SimpleSummary'.
    < 141.4702> [SoftcamManager] Starting oscam-latest
    < 141.4707> [Console] command: ulimit -s 512;/usr/softcams/oscam-latest -b
    < 141.4710> [eConsoleAppContainer] Starting /bin/sh
    < 141.4722> [Console] pid = 1639
    < 141.5074> [Console] finished: ulimit -s 512;/usr/softcams/oscam-latest -b
    < 144.5221> [SoftcamManager] Selectedcam: oscam-latest
    < 144.8833> [Console] command: ps.procps -C #oscam-latest,oscam-latest | grep -v 'CMD' | sed 's/</ /g' | awk '{print $4}' | awk '{a[$1] = $0} END { for (x in a) { print a[x] } }'
    < 144.8837> [eConsoleAppContainer] Starting /bin/sh
    < 144.8899> [Console] finished: ps.procps -C #oscam-latest,oscam-latest | grep -v 'CMD' | sed 's/</ /g' | awk '{print $4}' | awk '{a[$1] = $0} END { for (x in a) { print a[x] } }'
    < 144.8900> [SoftcamManager] RESULT FAILED: error: list of command names must follow -C

    Usage:
    ps.procps [options]

    Try 'ps.procps --help <simple|list|output|threads|misc|all>'
    or 'ps.procps --help <s|l|o|t|m|a>'
    for additional help text.

    For more details see ps(1).
    < 144.8901>
    < 144.8903> [SoftcamManager] Selectedcam: oscam-latest

    Is there any way to use custom oscam on openvix ?

  2. #2
    abu baniaz's Avatar
    Title
    Moderator
    Join Date
    Sep 2010
    Location
    East London
    Posts
    20,745
    Thanks
    5,501
    Thanked 8,167 Times in 5,492 Posts

    oscam - how to replace

    I think there was another post over a year ago, there is a limit on the binary size, the ulimit value in your logs. once you alter that it should work. Have a search for posts by Lincsat

    I suppose you don't want to go into too much detail, but do we need to increase the limit?

  3. The Following User Says Thank You to abu baniaz For This Useful Post:

    bongimdu (16-07-20)

  4. #3

    Title
    Junior Member
    Join Date
    Oct 2013
    Posts
    16
    Thanks
    9
    Thanked 1 Time in 1 Post
    Am not sure if I understand You very well , limit on binary size You mean size of oscam file ?
    The one from feed is actually larger 1194 KB
    The one I try to use is 730 KB
    oscam-cycec11581-arm-ssl-libusb this one am trying to use

    Thank You

  5. #4

    Title
    Junior Member
    Join Date
    Oct 2013
    Posts
    16
    Thanks
    9
    Thanked 1 Time in 1 Post
    I was trying to follow Lincast method from this post https://www.world-of-satellite.com/s...l=1#post483611 but I must do something wrong .

    I used Easy-Python-Decompiler-v1.3.2 to decompile SoftcamManager.pyo
    Then used Notepad++ to edit ulimit -s 512 to ulimit -s 1024 , saved changes , copied file back to Tm4K , changed attributes to 755 and rebooted the enigma2.
    After reboot / blue button - and softcam manager is not anymore there .
    What am I doing wrong ? I think I should compile SoftcamManager.pyo back to how it was before but I have no knowledge how to do this .

    Quote Originally Posted by abu baniaz View Post
    I think there was another post over a year ago, there is a limit on the binary size, the ulimit value in your logs. once you alter that it should work. Have a search for posts by Lincsat

    I suppose you don't want to go into too much detail, but do we need to increase the limit?
    Can I ask you to increase the limit ? I dont think so I will be able to do it myself .
    Thank You

    Quote Originally Posted by abu baniaz View Post
    root@tmnanosem2:~# opkg install libcrypto-compat-0.9.7
    Package libcrypto-compat-0.9.7 (1.0-r0) installed in root is up to date.

    root@tmnanosem2:~# opkg install libcrypto-compat-0.9.8
    Couldn't find anything to satisfy 'libcrypto-compat-0.9.8'.
    Unknown package 'libcrypto-compat-0.9.8'.
    Collected errors:
    * opkg_solver_install: Cannot install package libcrypto-compat-0.9.8.

    root@tmnanosem2:~# opkg install libcrypto-compat-1.0.0
    Package libcrypto-compat-1.0.0 (1.1-r0) installed in root is up to date.


    Looks like we have an issue with 0.98. Solo 4k had same problem. All it is is a symlink installer.
    Also have same error
    root@tmtwin4k:~# opkg install libcrypto-compat-0.9.8
    Couldn't find anything to satisfy 'libcrypto-compat-0.9.8'.
    Unknown package 'libcrypto-compat-0.9.8'.
    Collected errors:
    * opkg_solver_install: Cannot install package libcrypto-compat-0.9.8.
    Last edited by bongimdu; 17-07-20 at 23:14.

  6. #5
    abu baniaz's Avatar
    Title
    Moderator
    Join Date
    Sep 2010
    Location
    East London
    Posts
    20,745
    Thanks
    5,501
    Thanked 8,167 Times in 5,492 Posts
    Libcrypto is not shipped, it's just symlinks. See this post for what you need to do
    https://www.world-of-satellite.com/s...l=1#post484776

    Can you upload the softcam you are trying please?

  7. The Following User Says Thank You to abu baniaz For This Useful Post:

    bongimdu (18-07-20)

  8. #6
    abu baniaz's Avatar
    Title
    Moderator
    Join Date
    Sep 2010
    Location
    East London
    Posts
    20,745
    Thanks
    5,501
    Thanked 8,167 Times in 5,492 Posts
    Attached is the file for 038. Please update to 038 before transferring this file otherwise you may get a crash because of the screen code improvements. Transfer to /usr/lib/enigma2/python/Plugins/SystemPlugins/ViX

    Just for reference you did not need to decompile it, you could have got it directly from github.
    https://raw.githubusercontent.com/Op...tcamManager.py
    Attached Files Attached Files

  9. The Following User Says Thank You to abu baniaz For This Useful Post:

    bongimdu (18-07-20)

  10. #7

    Title
    Junior Member
    Join Date
    Oct 2013
    Posts
    16
    Thanks
    9
    Thanked 1 Time in 1 Post
    Quote Originally Posted by abu baniaz View Post
    Libcrypto is not shipped, it's just symlinks. See this post for what you need to do
    https://www.world-of-satellite.com/s...l=1#post484776

    Can you upload the softcam you are trying please?
    This is the softcam am trying to start
    oscam-cycec11581-arm-ssl-libusb.rar

  11. #8

    Title
    Junior Member
    Join Date
    Oct 2013
    Posts
    16
    Thanks
    9
    Thanked 1 Time in 1 Post
    Quote Originally Posted by abu baniaz View Post
    Attached is the file for 038. Please update to 038 before transferring this file otherwise you may get a crash because of the screen code improvements. Transfer to /usr/lib/enigma2/python/Plugins/SystemPlugins/ViX

    Just for reference you did not need to decompile it, you could have got it directly from github.
    https://raw.githubusercontent.com/Op...tcamManager.py
    It looks like this file solving my problem , I can autostart and change softcams without problem now.
    One more thing , the new SoftcamManager.py is .py the old one is .pyo should I delete it or just leave it ?

    Thank You very much

  12. #9

    Title
    Junior Member
    Join Date
    Oct 2013
    Posts
    16
    Thanks
    9
    Thanked 1 Time in 1 Post
    Quote Originally Posted by abu baniaz View Post
    Libcrypto is not shipped, it's just symlinks. See this post for what you need to do
    https://www.world-of-satellite.com/s...l=1#post484776

    Can you upload the softcam you are trying please?
    Sorry for post under post but cant edit the previous ones .
    I forgot to mention I used this command : ln -sf libcrypto.so.1.0.2 libcrypto.so.0.9.8 at the same time while added SoftcamManager.py file.

    Thank You

  13. #10
    abu baniaz's Avatar
    Title
    Moderator
    Join Date
    Sep 2010
    Location
    East London
    Posts
    20,745
    Thanks
    5,501
    Thanked 8,167 Times in 5,492 Posts
    When you restart, .py makes new .pyo Please delete .py file

  14. The Following User Says Thank You to abu baniaz For This Useful Post:

    bongimdu (18-07-20)

  15. #11

    Title
    Senior Member
    Join Date
    May 2011
    Posts
    467
    Thanks
    15
    Thanked 195 Times in 127 Posts
    Quote Originally Posted by bongimdu View Post
    Sorry for post under post but cant edit the previous ones .
    I forgot to mention I used this command : ln -sf libcrypto.so.1.0.2 libcrypto.so.0.9.8 at the same time while added SoftcamManager.py file.

    Thank You
    I found that adding the symlink was necessary for some builds of OScam, so I started compiling that myself to get the correct dependancies

  16. The Following User Says Thank You to lincsat For This Useful Post:

    bongimdu (18-07-20)

  17. #12

    Title
    Junior Member
    Join Date
    Oct 2013
    Posts
    16
    Thanks
    9
    Thanked 1 Time in 1 Post
    Hello
    Today I updated to - openvix: release 5.3.039 and Softcam manager not starting oscam .
    this is debug log :
    < 31.3656> [SoftcamManager] Couldn't find oscam-latest1 running, Starting oscam-latest1
    < 31.3659> [Console] command: ps.procps | grep softcams | grep -v grep | awk 'NR==1' | awk '{print $5}'| awk -F'[/]' '{print $4}' > /tmp/softcamRuningCheck.tmp
    < 31.3660> [eConsoleAppContainer] Starting /bin/sh
    < 31.3672> [Console] pid = 1575
    < 31.3915> [Console] finished: ps.procps | grep softcams | grep -v grep | awk 'NR==1' | awk '{print $5}'| awk -F'[/]' '{print $4}' > /tmp/softcamRuningCheck.tmp
    < 31.8010> [eEPGCache] abort non avail nownext reading
    < 31.8014> [eEPGCache] abort non avail schedule reading
    < 31.8017> [eEPGCache] abort non avail virgin nownext reading
    < 31.8021> [eEPGCache] abort non avail virgin schedule reading
    < 31.8022> [eEPGCache] abort non avail netmed schedule reading
    < 31.8025> [eEPGCache] abort non avail netmed schedule other reading
    < 31.8027> [eEPGCache] abort non avail FreeSat schedule_other reading
    < 31.8029> [eEPGCache] abort non avail viasat reading
    < 33.3952> [Console] command: ulimit -s 512;/usr/softcams/oscam-latest1 -b
    < 33.3954> [eConsoleAppContainer] Starting /bin/sh
    < 33.6484> [Console] pid = 1584
    < 33.6973> [Console] finished: ulimit -s 512;/usr/softcams/oscam-latest1 -b
    < 43.7092> [Task] job Components.Task.Job name=SoftcamCheck #tasks=1 completed with [] in None


    Then I copy and paste SoftcamManager.py provided by abu baniaz ,restatred box and softcam manager starting oscam.
    this is debug log :
    < 31.3854> [SoftcamManager] Couldn't find oscam-latest1 running, Starting oscam-latest1
    < 31.3862> [Console] command: ps.procps | grep softcams | grep -v grep | awk 'NR==1' | awk '{print $5}'| awk -F'[/]' '{print $4}' > /tmp/softcamRuningCheck.tmp
    < 31.3864> [eConsoleAppContainer] Starting /bin/sh
    < 31.3881> [Console] pid = 1575
    < 31.4128> [Console] finished: ps.procps | grep softcams | grep -v grep | awk 'NR==1' | awk '{print $5}'| awk -F'[/]' '{print $4}' > /tmp/softcamRuningCheck.tmp
    < 31.8070> [eEPGCache] abort non avail nownext reading
    < 31.8077> [eEPGCache] abort non avail schedule reading
    < 31.8081> [eEPGCache] abort non avail virgin nownext reading
    < 31.8085> [eEPGCache] abort non avail virgin schedule reading
    < 31.8087> [eEPGCache] abort non avail netmed schedule reading
    < 31.8090> [eEPGCache] abort non avail netmed schedule other reading
    < 31.8092> [eEPGCache] abort non avail FreeSat schedule_other reading
    < 31.8094> [eEPGCache] abort non avail viasat reading
    < 33.4162> [Console] command: ulimit -s 1024;/usr/softcams/oscam-latest1 -b
    < 33.4164> [eConsoleAppContainer] Starting /bin/sh
    < 33.4169> [Console] pid = 1583
    < 33.4707> [Console] finished: ulimit -s 1024;/usr/softcams/oscam-latest1 -b


    In Main menu / information / about / Vix Core i get information
    19/07/20 openvix release 5.3.039
    20/07/20 Softcam manager Increase ulimit to 1024

    Is that ulimit increased in 5.3.039 or it mean it will be increased in next update ? sorry for silly question

    Thank You
    Greetings

  18. #13
    abu baniaz's Avatar
    Title
    Moderator
    Join Date
    Sep 2010
    Location
    East London
    Posts
    20,745
    Thanks
    5,501
    Thanked 8,167 Times in 5,492 Posts
    Increase will be in next image. But you have the modified file already.

  19. The Following User Says Thank You to abu baniaz For This Useful Post:

    bongimdu (26-07-20)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
This website uses cookies
We use cookies to store session information to facilitate remembering your login information, to allow you to save website preferences, to personalise content and ads, to provide social media features and to analyse our traffic. We also share information about your use of our site with our social media, advertising and analytics partners.